Package com.macrofocus.interval.adapter

# Class BoundedIntervalSpinnerModel

java.lang.Object
javax.swing.AbstractSpinnerModel
javax.swing.SpinnerNumberModel
com.macrofocus.interval.adapter.BoundedIntervalSpinnerModel

All Implemented Interfaces:
  `Serializable`, `SpinnerModel`

public class BoundedIntervalSpinnerModel extends SpinnerNumberModel

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `BoundedIntervalSpinnerModel.Type`

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractSpinnerModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundedIntervalSpinnerModel(MutableBoundedInterval interval)`
  `BoundedIntervalSpinnerModel(MutableBoundedInterval interval, Number stepSize)`
  `BoundedIntervalSpinnerModel(MutableBoundedInterval interval, Number stepSize, BoundedIntervalSpinnerModel.Type type)`
  `BoundedIntervalSpinnerModel(Number stepSize, BoundedIntervalSpinnerModel.Type type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comparable`
  `getMaximum()`
  `Comparable`
  `getMinimum()`
  `Object`
  `getNextValue()`
  `Object`
  `getPreviousValue()`
  `Number`
  `getStepSize()`
  `Object`
  `getValue()`
  `void`
  `setInterval(MutableBoundedInterval interval)`
  `void`
  `setStepSize(Number stepSize)`
  `void`
  `setType(BoundedIntervalSpinnerModel.Type type)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class javax.swing.SpinnerNumberModel

  `getNumber, setMaximum, setMinimum`

  ### Methods inherited from class javax.swing.AbstractSpinnerModel

  `addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundedIntervalSpinnerModel

    public BoundedIntervalSpinnerModel(MutableBoundedInterval interval)

  - ### BoundedIntervalSpinnerModel

    public BoundedIntervalSpinnerModel(MutableBoundedInterval interval, Number stepSize)

  - ### BoundedIntervalSpinnerModel

    public BoundedIntervalSpinnerModel(Number stepSize, BoundedIntervalSpinnerModel.Type type)

  - ### BoundedIntervalSpinnerModel

    public BoundedIntervalSpinnerModel(MutableBoundedInterval interval, Number stepSize, BoundedIntervalSpinnerModel.Type type)

- ## Method Details

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `SpinnerModel`
    Overrides:
      `getValue` in class `SpinnerNumberModel`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `SpinnerModel`
    Overrides:
      `setValue` in class `SpinnerNumberModel`

  - ### getStepSize

    public Number getStepSize()
    Overrides:
      `getStepSize` in class `SpinnerNumberModel`

  - ### setStepSize

    public void setStepSize(Number stepSize)
    Overrides:
      `setStepSize` in class `SpinnerNumberModel`

  - ### getMinimum

    public Comparable getMinimum()
    Overrides:
      `getMinimum` in class `SpinnerNumberModel`

  - ### getMaximum

    public Comparable getMaximum()
    Overrides:
      `getMaximum` in class `SpinnerNumberModel`

  - ### getNextValue

    public Object getNextValue()
    Specified by:
      `getNextValue` in interface `SpinnerModel`
    Overrides:
      `getNextValue` in class `SpinnerNumberModel`

  - ### getPreviousValue

    public Object getPreviousValue()
    Specified by:
      `getPreviousValue` in interface `SpinnerModel`
    Overrides:
      `getPreviousValue` in class `SpinnerNumberModel`

  - ### setType

    public void setType(BoundedIntervalSpinnerModel.Type type)

  - ### setInterval

    public void setInterval(MutableBoundedInterval interval)